/* Light theme: GitHub */
[data-bs-theme="light"] .highlight table td { padding: 5px; }
[data-bs-theme="light"] .highlight table pre { margin: 0; }
[data-bs-theme="light"] .highlight, [data-bs-theme="light"] .highlight .w {
  color: #24292f;
  background-color: #f6f8fa;
}
[data-bs-theme="light"] .highlight .k, [data-bs-theme="light"] .highlight .kd, [data-bs-theme="light"] .highlight .kn, [data-bs-theme="light"] .highlight .kp, [data-bs-theme="light"] .highlight .kr, [data-bs-theme="light"] .highlight .kt, [data-bs-theme="light"] .highlight .kv {
  color: #cf222e;
}
[data-bs-theme="light"] .highlight .gr {
  color: #f6f8fa;
}
[data-bs-theme="light"] .highlight .gd {
  color: #82071e;
  background-color: #ffebe9;
}
[data-bs-theme="light"] .highlight .nb {
  color: #953800;
}
[data-bs-theme="light"] .highlight .nc {
  color: #953800;
}
[data-bs-theme="light"] .highlight .no {
  color: #953800;
}
[data-bs-theme="light"] .highlight .nn {
  color: #953800;
}
[data-bs-theme="light"] .highlight .sr {
  color: #116329;
}
[data-bs-theme="light"] .highlight .na {
  color: #116329;
}
[data-bs-theme="light"] .highlight .nt {
  color: #116329;
}
[data-bs-theme="light"] .highlight .gi {
  color: #116329;
  background-color: #dafbe1;
}
[data-bs-theme="light"] .highlight .ges {
  font-weight: bold;
  font-style: italic;
}
[data-bs-theme="light"] .highlight .kc {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .l, [data-bs-theme="light"] .highlight .ld, [data-bs-theme="light"] .highlight .m, [data-bs-theme="light"] .highlight .mb, [data-bs-theme="light"] .highlight .mf, [data-bs-theme="light"] .highlight .mh, [data-bs-theme="light"] .highlight .mi, [data-bs-theme="light"] .highlight .il, [data-bs-theme="light"] .highlight .mo, [data-bs-theme="light"] .highlight .mx {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .sb {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .bp {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .ne {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .nl {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .py {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .nv, [data-bs-theme="light"] .highlight .vc, [data-bs-theme="light"] .highlight .vg, [data-bs-theme="light"] .highlight .vi, [data-bs-theme="light"] .highlight .vm {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .o, [data-bs-theme="light"] .highlight .ow {
  color: #0550ae;
}
[data-bs-theme="light"] .highlight .gh {
  color: #0550ae;
  font-weight: bold;
}
[data-bs-theme="light"] .highlight .gu {
  color: #0550ae;
  font-weight: bold;
}
[data-bs-theme="light"] .highlight .s, [data-bs-theme="light"] .highlight .sa, [data-bs-theme="light"] .highlight .sc, [data-bs-theme="light"] .highlight .dl, [data-bs-theme="light"] .highlight .sd, [data-bs-theme="light"] .highlight .s2, [data-bs-theme="light"] .highlight .se, [data-bs-theme="light"] .highlight .sh, [data-bs-theme="light"] .highlight .sx, [data-bs-theme="light"] .highlight .s1, [data-bs-theme="light"] .highlight .ss {
  color: #0a3069;
}
[data-bs-theme="light"] .highlight .nd {
  color: #8250df;
}
[data-bs-theme="light"] .highlight .nf, [data-bs-theme="light"] .highlight .fm {
  color: #8250df;
}
[data-bs-theme="light"] .highlight .err {
  color: #f6f8fa;
  background-color: #82071e;
}
[data-bs-theme="light"] .highlight .c, [data-bs-theme="light"] .highlight .ch, [data-bs-theme="light"] .highlight .cd, [data-bs-theme="light"] .highlight .cm, [data-bs-theme="light"] .highlight .cp, [data-bs-theme="light"] .highlight .cpf, [data-bs-theme="light"] .highlight .c1, [data-bs-theme="light"] .highlight .cs {
  color: #6e7781;
}
[data-bs-theme="light"] .highlight .gl {
  color: #6e7781;
}
[data-bs-theme="light"] .highlight .gt {
  color: #6e7781;
}
[data-bs-theme="light"] .highlight .ni {
  color: #24292f;
}
[data-bs-theme="light"] .highlight .si {
  color: #24292f;
}
[data-bs-theme="light"] .highlight .ge {
  color: #24292f;
  font-style: italic;
}
[data-bs-theme="light"] .highlight .gs {
  color: #24292f;
  font-weight: bold;
}


/* Dark theme: Monokai */
[data-bs-theme="dark"] .highlight table td { padding: 5px; }
[data-bs-theme="dark"] .highlight table pre { margin: 0; }
[data-bs-theme="dark"] .highlight .c, [data-bs-theme="dark"] .highlight .ch, [data-bs-theme="dark"] .highlight .cd, [data-bs-theme="dark"] .highlight .cpf {
  color: #75715e;
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .cm {
  color: #75715e;
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .c1 {
  color: #75715e;
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .cp {
  color: #75715e;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .cs {
  color: #75715e;
  font-weight: bold;
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .err {
  color: #960050;
  background-color: #1e0010;
}
[data-bs-theme="dark"] .highlight .gi {
  color: #ffffff;
  background-color: #324932;
}
[data-bs-theme="dark"] .highlight .gd {
  color: #ffffff;
  background-color: #493131;
}
[data-bs-theme="dark"] .highlight .ge {
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .ges {
  font-weight: bold;
  font-style: italic;
}
[data-bs-theme="dark"] .highlight .gr {
  color: #aa0000;
}
[data-bs-theme="dark"] .highlight .gt {
  color: #aa0000;
}
[data-bs-theme="dark"] .highlight .gh {
  color: #999999;
}
[data-bs-theme="dark"] .highlight .go {
  color: #888888;
}
[data-bs-theme="dark"] .highlight .gp {
  color: #555555;
}
[data-bs-theme="dark"] .highlight .gs {
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .gu {
  color: #aaaaaa;
}
[data-bs-theme="dark"] .highlight .k, [data-bs-theme="dark"] .highlight .kv {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kc {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kd {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kp {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kr {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kt {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .kn {
  color: #f92672;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .ow {
  color: #f92672;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .o {
  color: #f92672;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .mf {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .mh {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .il {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .mi {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .mo {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .m, [data-bs-theme="dark"] .highlight .mb, [data-bs-theme="dark"] .highlight .mx {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .se {
  color: #ae81ff;
}
[data-bs-theme="dark"] .highlight .sa {
  color: #66d9ef;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .sb {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .sc {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .sd {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .s2 {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .sh {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .si {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .sx {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .sr {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .s1 {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .ss {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .s, [data-bs-theme="dark"] .highlight .dl {
  color: #e6db74;
}
[data-bs-theme="dark"] .highlight .na {
  color: #a6e22e;
}
[data-bs-theme="dark"] .highlight .nc {
  color: #a6e22e;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .nd {
  color: #a6e22e;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .ne {
  color: #a6e22e;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .nf, [data-bs-theme="dark"] .highlight .fm {
  color: #a6e22e;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .no {
  color: #66d9ef;
}
[data-bs-theme="dark"] .highlight .bp {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .nb {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .ni {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .nn {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .vc {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .vg {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .vi {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .nv, [data-bs-theme="dark"] .highlight .vm {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .w {
  color: #f8f8f2;
}
[data-bs-theme="dark"] .highlight .nl {
  color: #f8f8f2;
  font-weight: bold;
}
[data-bs-theme="dark"] .highlight .nt {
  color: #f92672;
}
[data-bs-theme="dark"] .highlight {
  color: #f8f8f2;
  background-color: #49483e;
}

